import java.net.*;
import java.io.*;
import java.util.*;

public class Servidor{
    public static void main (String[] args) throws IOException{
	ServerSocket servidor=null;
	boolean escuchando = true;
	try{
            servidor = new ServerSocket(8189);
	}
	catch (IOException e){
            System.out.println("No se puede escuchar en el puerto " + 8189);
            System.exit(1);
	}
	while (escuchando){
            Socket cliente=null;
            try{
                cliente = servidor.accept();
            }
            catch (IOException e){
		System.out.println("Fall la conexin: " + args[0] + ", " + e.getMessage());
		continue;
            }
            System.out.println("Se conect " + cliente.getInetAddress());
            new ServidorHilo(cliente).start();
	}
	try{
            servidor.close();
       	} 
       	catch (IOException e){
            System.err.println("No se pudo cerrar el servidor. " + e.getMessage());
	}
    }   //  public static void main
}   //  public class Servidor