import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
public class HolaMundo extends HttpServlet{
  // Manipular las posibles peticiones enviadas por el cliente:
  // utilizando el atributo method=get o method=post.
  protected void procesarPeticion(HttpServletRequest request, HttpServletResponse response, int tipo)
                                                      throws ServletException, IOException{    
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    out.println("<html>");
    out.println("<head>");
    out.println("<title>Servlet HolaMundo</title>");
    out.println("</head>");
    out.println("<body>");
    out.println("<font size=7>"); 
    out.println("Hola mundo cruel!!!");
    out.println("<font size=5>");       
    out.println("<br>");
    if(tipo == 1)out.println(" via metodo Get(Default)");
    else         out.println(" via metodo Post");
    out.println("</font>");
    out.println("</body>");
    out.println("</html>");
    out.close();
  }
  
   // Manipular la peticin enviada por el cliente
   // utilizando el atributo method=get.
  protected void doGet(HttpServletRequest request,
                       HttpServletResponse response)throws ServletException, IOException{
        procesarPeticion(request, response,1);
  }
  
   // Manipular la peticin enviada por el cliente
   // utilizando el atributo method=post.
  protected void doPost(HttpServletRequest request,
                        HttpServletResponse response)throws ServletException, IOException{
	procesarPeticion(request, response,2);
  }
  
  // Devuelve una descripcin breve.
  public String getServletInfo(){
    return "Servlet HolaMundo";
  }
}
