import java.io.*; import javax.servlet.*; import javax.servlet.http.*;
import java.util.*;   

public class ConsultaProfesor extends HttpServlet{
    // Daremos un poco de variedad a los mensajes con que el servlet responde
    String[] msgs = {"Gustosamente lo atenderemos el dia del parcial",
                     "Al volver de mis vacaciones tendremos  el placer de encontrarnos",
                     "Estoy a su disposicion todos los dias, cuando guste",
                     "Le recomiendo la lectura del material de la catedra",
                     "Esas dudas suyas se deben a falta de base. Repase ...",
                     "Su pregunta me sorprende. En realidad, no deberia ...",
                     "Sus dudas corresponden a mi clase de maana. No falte"};
    String mensaje; int indice;
    // utilizando el atributo method=post.
    protected void doPost(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException{

        // Tipo de la respuesta que ser enviada al cliente 
        response.setContentType("text/html");

        // Obtener el objeto 'PrintWriter' para devolver la respuesta 
        PrintWriter out = response.getWriter();

        // Registrar la consulta del alumno
        try{
            // Abrir el fichero para el registro de la consulta
            FileWriter fw = new FileWriter("Consultas.txt", true);
            PrintWriter fichConsultas = new PrintWriter(fw);

            // Tomar los datos recibidos del cliente y escribirlos 
            // en el fichero. Se finaliza cada registro con el literal 
            // "<FIN>" para su posterior identificacin.
            Enumeration nombresParams = request.getParameterNames();
            while (nombresParams.hasMoreElements()){
                String param = (String)nombresParams.nextElement();
                String valor = request.getParameter(param);
                fichConsultas.println(param + ": " + valor);
            }
            fichConsultas.println("<FIN>");
            // Cerrar el fichero fichConsultas
            fichConsultas.close();
            fw.close();

            // Respondiendo al alumno 
            out.println("<html>");
            out.println("<title>Respondiendo a su atta. solicitud de consulta</title>");
            String nome = request.getParameter("alumno");
            out.println("Estimado Sr(a) "+ nome);
            out.println("<br>");
            out.println("Su peticin ha sido registrada");
            out.println("<br>");
            indice = (int)(7*Math.random());
            mensaje = msgs[indice];
            out.println(mensaje);
            out.println("<br>");
            out.println("</html>");
        }
        catch(IOException e){
            out.println("Hubo problemas cursando su solicitud.");
            out.println("<br>Por favor, intntelo otra vez.");
        }
        out.close();
    }
    // Cerrar el flujo 
    // Devuelve una descripcin breve.
    public String getServletInfo(){return "Servlet Tutoras";}
}
