import java.io.*; import javax.servlet.*; import javax.servlet.http.*;
import java.util.*;

public class ContadorCook extends HttpServlet{
  protected void doGet(HttpServletRequest request,
           HttpServletResponse response)throws ServletException, IOException{
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    
    // Obtener el valor actual de la cookie "contador.cook" buscando
    // entre las cookies recibidas.
    String sCuenta  = null;
    String cliente  = null;
        cliente     = request.getParameter("cliente");
    Cookie[] cookies = request.getCookies();
    if (cookies != null){ // si hay cookies...
        for (int i = 0; i < cookies.length; i++){
            // Buscar la cookie "contador.cook"
            if (cookies[i].getName().equals("contador.cook")){
                // y obtener el valor asociado
                sCuenta = cookies[i].getValue();
                break;
            }
        }   //  for
    }   //  if (cookies != null)
    
    // Incrementar el contador para esta pgina. El valor es
    // guardado en la cookie con el nombre "contador.cook".
    // Despus, asegurarse de envirsela al cliente con la
    // respuesta (response).
    Integer objCuenta = null; // contador
    if (sCuenta == null) // si no se encontr "contador.cook"
        objCuenta = new Integer(1);
    else                 // si se encontr "cuenta.cook"
        objCuenta = new Integer(Integer.parseInt(sCuenta)+1);
    // Crear una nueva cookie con la cuenta actualizada
    Cookie c = new Cookie("contador.cook", objCuenta.toString());
    // Aadir la cookie a las cabeceras de la respuesta HTTP
    response.addCookie(c);

    // Responder al cliente
    out.println("<html>");
    out.println("Hola, Sr(a) "+cliente);
    out.println("<br>");
    out.println("Has visitado esta pgina " + objCuenta.toString() +
                ((objCuenta.intValue() == 1) ? " vez." : " veces."));
    out.println("<br>");
    out.println("Siempre es un placer recibirte");
    out.println("</html>");

    // Cerrar el flujo
    out.close();
  }
  
  // Devuelve una descripcin breve.
  public String getServletInfo(){return "Servlet CuentaCk";}
}
