import java.io.*; import javax.servlet.*; import javax.servlet.http.*;
import java.util.*; import java.net.URLEncoder;

public class Atencion extends HttpServlet{
    private String hungry, hipMerc;
     
    public void doGet(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException{
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();

        // obtenemos datos del formulario
        hungry = request.getParameter("hambriento");
        hipMerc= request.getParameter("hiper"); 
        // Preparamos informacion acerca de comidas
        Comidas comida = new Comidas();
        // Obtener identificador de sesin actual (getValue()) buscando 
        // por el nombre del cliente (getName()) entre las cookies recibidas.
        String idSesion = null;
        Cookie[] cookies = request.getCookies();
        if (cookies != null){
            for (int i = 0; i < cookies.length; i++){    
                if (cookies[i].getName().equals(hungry)){
                    idSesion = cookies[i].getValue();
                    break;
                }
            }   //  for
        }   //  if (cookies ...
    
        // Si el identificador de sesin no fue enviado, debemos generarlo.
        if (idSesion == null){ // Es la primera conexion del cliente
            idSesion = generarIdSesion(); // le generamos su idSesion 
            Cookie c = new Cookie(hungry, idSesion); // su Cookie
            response.addCookie(c);  // y la incorporamos al objeto response
        }
    
        //  Generando html para el cliente
        out.println("<head>");
        out.println("<title>Hipermercados " + hipMerc + "</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<font size="+5+">");    
        out.println("Hola " + hungry + "!!!<br>");
        out.println("<font size=" + 4 + ">");    
        out.println(hipMerc + " te puede ofrecer,<br>");
        out.println("entre muchos otros,<br>");
        out.println("este apetitoso combo: ,<br><br>");

        int i, j; 
        float total = 0;
        Float precioIt;
        String auxStr;
        out.println("<font size=" + 3 + ">");    
        for (i = 0; i < 3; i++){
            j = (int)(10*Math.random());
            out.println(comida.carta[j]+"<br>");
            auxStr = new String(comida.carta[j]);
            auxStr = auxStr.substring(31);
            auxStr = auxStr.trim();
            precioIt = new Float(auxStr);
            total+= precioIt.floatValue();      
        }
        out.println("Todo por el modico importe de $ "+total);    
        out.println("</font>");
        
        //  Vamos al servlet Despacho, donde le 
        //  preguntaremos si continua o finaliza
        out.println("<form action=/servlet/Despacho?&idSesion=" + idSesion
        //          + "tuPedido="+tuPedido
                    + " method=get>");
        out.println("<br><br>");
        out.println("<input type=submit value=\"Decisiones\">");
        out.println("</form>");
        out.println("</body>");
        out.println("</html>");
    }
  
    private static String generarIdSesion(){
        // Garantizar un id nico
        String uid = new java.rmi.server.UID().toString();   
        // Codificar cualquier carcter especial
        return java.net.URLEncoder.encode(uid);
    }
}   //  public class Atencion

class Comidas{
    String[] carta =
    {"Amburguesas, cja 10 Un, . . . $10.00",
     "Fideos Macarron, pk 1 kg, . . $ 1.99",
     "Cerveza BadHein, env 780cc  . $ 2.80",   
     "Falda (Especial), kg, . . . . $ 3.50",
     "Bife lomo tern, kg, . . . . . $12.50",
     "Pan Frances kg . . . . . . .  $ 2.00",
     "Polenta PrestPres 1/2 kg .  . $ 1.60",
     "Fideos Felippillo 1/2 kg . .  $ 1.20",
     "Tinto FacuRelli, 1 lt . . . . $ 2.80",
     "Salch. VienAus, pk 200 grs, . $ 2.70"};
     // 23456789 123456789 123456789 12345
     String pedido ="";
     
     public String[] getComidas(){return carta;}
     public String   getComida(int cual){return carta[cual];}
     public void addItem(String item){pedido+=item+", <br>";}
     public String getPedido(){return pedido;}
}   //  class Comidas

